This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 159479

Summary: allow editor formatters to communicate with each other
Product: editor Reporter: David Konecny <dkonecny>
Component: Formatting & IndentationAssignee: David Konecny <dkonecny>
Status: RESOLVED FIXED    
Severity: blocker CC: dkonecny, mmetelka, vstejskal
Priority: P3 Keywords: API, API_REVIEW_FAST
Version: 6.x   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Exception Reporter:
Attachments: proposed API change with implementation

Description David Konecny 2009-03-03 03:50:52 UTC
In language embedded scenarios (for example JSP document containing HTML, CSS, Java and Javascirpt) formatters (that is
subclasses of IndentTask or ReformatTask) will benefit if they can communicate with each other. At this stage
communication would be via their own domain specific API.

First clients of this new API are rewritten CSS, HTML and JSP formatters.
Comment 1 David Konecny 2009-03-03 03:57:32 UTC
Created attachment 77594 [details]
proposed API change with implementation
Comment 2 David Konecny 2009-03-03 04:01:24 UTC
Please review. I would like to implement this enhancement for 6.7M3 because it allows to resolve defects in formatting
areas of JSP, CSS and HTML. Thanks, David.
Comment 3 Miloslav Metelka 2009-03-04 13:33:23 UTC
I'm fine with the proposed change.
Comment 4 David Konecny 2009-03-10 05:35:34 UTC
Thanks.
Comment 5 David Konecny 2009-03-10 05:36:14 UTC
Fixed in main as d46215f20c0d
Comment 6 Quality Engineering 2009-03-10 21:12:32 UTC
Integrated into 'main-golden', will be available in build *200903101401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d46215f20c0d
User: David Konecny <dkonecny@netbeans.org>
Log: #159479 - allow editor formatters to communicate with each other